Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy > Class Template Reference

Template class for return skeleton value of fixed size IDL types. More...

`#include <Var_Size_SArgument_T.h>`

Inheritance diagram for TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >:

[legend]
Collaboration diagram for TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
| Ret_Var_Size_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
virtual void | interceptor_value (CORBA::Any *any) const
S *& | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S, typename S_var, typename Insert_Policy>
class TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >

Template class for return skeleton value of fixed size IDL types.

## Constructor & Destructor Documentation

template<typename S, typename S_var, typename Insert_Policy>
ACE_INLINE TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >::Ret_Var_Size_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var, typename Insert_Policy>
ACE_INLINE S *& TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >::arg | ( | void |  | ) |

template<typename S, typename S_var, typename Insert_Policy>
void TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var, typename Insert_Policy>
CORBA::Boolean TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_var, typename Insert_Policy>
S_var TAO::Ret_Var_Size_SArgument_T< S, S_var, Insert_Policy >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Size_SArgument_T.h
- Var_Size_SArgument_T.cpp
- Var_Size_SArgument_T.inl